import { readdirSync } from 'fs';
import { join } from 'path';

// utils must build before core
const headPkgs = [
  'DeviceTree',
  'Empty',
  'HistoryInfo',
  'ImageSelect',
  'MqttView',
  'QuotaSelect',
  'RealTimeInfo',
  'TimeRangePicker',
];
const tailPkgs = readdirSync(join(__dirname, 'packages')).filter(
  (pkg) => pkg.charAt(0) !== '.' && !headPkgs.includes(pkg),
);

export default {
  cjs: { type: 'babel', lazy: true },
  esm: {
    type: 'babel',
    importLibToEs: true,
  },
  pkgs: [...headPkgs, ...tailPkgs],
  extraBabelPlugins: [
    ['babel-plugin-import', { libraryName: 'antd', libraryDirectory: 'es', style: true }, 'antd'],
    [require('./scripts/replaceLib')],
  ],
};
