---
title: QuotaSelect - 指标选择
nav:
  title: 组件
  path: /components
group:
  path: /
---

# QuotaSelect 指标选择

基础业务组件

- 允许对分类指标进行选择
- 允许限制选择最大指标数
- 允许搜索指标

## 何时使用

- 在指标选择时。

## 代码演示

<code src="./demos/Basic.tsx">

## API

指标选择按钮 props 参考 https://ant.design/components/button-cn/#API

已选指标树 props 参考 https://ant.design/components/tree-cn/#API

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| buttonProps | 指标选择按钮 | object | { } |
| width | 模态框宽度 | number | 900 |
| title | 模态框标题 | string | 选择显示字段 |
| cancelText | 模态框取消文本 | string | 取消选择 |
| placeholder | 搜索框占位符 | string | 搜索关键词 |
| searchPrefix | 搜索框前置图标 | ReactNode | SearchOutlined |
| targetValue | 指标类型 | string | 重要指标 |
| maximum | 最多可选择指标数量 | number | 0 |
| dataSource | 指标列表数据源 | array | [ ] |
| selectData | 已选指标数据 | array | [ ] |
| treeProps | 已选指标树 props | object | { } |
| onModalCancel | 点击模态框取消按钮的回调 | function(value){ } | - |
| onModalOk | 模态框点击确定回调 | function(value){ } | - |
| onModalClose | 模态框点击关闭回调 | function(value){ } | - |
| onSearch | 搜索框输入事件的回调，会返回搜索框输入信息 | function(value){ } | - |
| onRadioChange | 指标类型切换的回调 | function(value){ } | - |
| onCancelSelect | 点击已选指标树的删除按钮的回调 | function(value){ } | - |
